org.apache.commons.math3.genetics

## Class InvalidRepresentationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.genetics.InvalidRepresentationException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class InvalidRepresentationException
    extends MathIllegalArgumentException

Exception indicating that the representation of a chromosome is not valid.

Since:
  2.0
Version:
  $Id: InvalidRepresentationException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serialization version id

### Constructor Summary

Constructors
Constructor and Description
`InvalidRepresentationException(Localizable pattern, java.lang.Object... args)` Construct an InvalidRepresentationException with a specialized message.

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serialization version id

See Also:
  Constant Field Values

### Constructor Detail

#### InvalidRepresentationException

    public InvalidRepresentationException(Localizable pattern,
                                  java.lang.Object... args)

Construct an InvalidRepresentationException with a specialized message.

Parameters:
  `pattern` - Message pattern.
  `args` - Arguments.